---
obj: filesystem
---

# gunion
The `gunion` utility is used to track changes to a read-only disk on a writable disk on [FreeBSD](FreeBSD.md). Logically, a writable disk is placed over a read-only disk. Write requests are intercepted and stored	on the writable disk. Read requests are first checked to see if they have been written on the top (writable disk) and if found are returned. If they have not been written on the top disk, then they are read from the lower disk.

## Usage
**Create a union disk:**
```shell
gunion create [-v] [-o offset] [-s size] [-S secsize] [-Z gunionname] upperdev lowerdev
```

**Destroy union disk:**
```shell
gunion destroy [-fv] prov ...
```

**Revert changes made:**
```shell
gunion revert [-v] prov ...
```

**Commit changes made to lower disk:**
```shell
gunion commit [-frv] prov ...
```

**See status:**
```shell
gunion list
gunion status
```
